## sqlfluff 1.4.5

=== requirements.txt ===
# Used for finding os-specific application config dirs
appdirs
# Cached property for performance gains
# (use functools version for python >= 3.8)
backports.cached-property; python_version < '3.8'
# To get the encoding of files.
chardet
click
colorama>=0.3
# Used for diffcover plugin
diff-cover>=2.5.0
# importlib_metadata backport for python 3.7
# Require versions with .distributions https://github.com/sqlfluff/sqlfluff/issues/3763
importlib_metadata>=1.0.0; python_version < '3.8'
Jinja2
# Used for .sqlfluffignore
pathspec
# We provide a testing library for plugins in sqlfluff.utils.testing
pytest
# We require pyyaml >= 5.1 so that we can preserve the ordering of keys.
pyyaml>=5.1
# The new regex module to allow for more complex pattern matching,
# whilst remaining backwards compatible with existing regex use cases.
# e.g. capturing repeated groups in nested tsql block comments.
# This was introduced in https://github.com/sqlfluff/sqlfluff/pull/2027
# and further details can be found in that PR.
regex
# For returning exceptions from multiprocessing.Pool.map()
tblib
# For parsing pyproject.toml
toml
# For handling progress bars
tqdm
# better type hints for older python versions
typing_extensions

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
# We want SPHINX to warn on error (-W) for example if we don't force SQL
# formatting, but we also want to continue "--keep-going" and check the
# other docs before exiting non-zero
SPHINXOPTS    ?= -W --keep-going
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sqlfluff (1.4.5-2) unstable; urgency=medium

  * upload to unstable for testing migration
  * run upstream testsuite as autopkgtest
  * enable diff quality test
  * do not generate dh/cc buttons in documentation
    lintian warns that this is a potential privacy breach
  * add reminder to run tests at build time

 -- Joseph Nahmias <jello@debian.org>  Fri, 03 Feb 2023 11:47:33 +0000

sqlfluff (1.4.5-1) experimental; urgency=medium

  * Initial release (Closes: #1016588)

 -- Joseph Nahmias <jello@debian.org>  Sat, 28 Jan 2023 23:17:07 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_DESTDIR=debian/sqlfluff
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src python3 -m sphinx -N -bhtml docs/source/ build/html
	PYTHONPATH=src python3 -m sphinx -N -bman docs/source/ build/man

## sqlfluff 2.3.5

=== requirements.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # For returning exceptions from multiprocessing.Pool.map()
 tblib
 # For parsing pyproject.toml
-toml
+toml; python_version < '3.11'
 # For handling progress bars
 tqdm
 # better type hints for older python versions

=== docs/Makefile ===
--- 
+++ 
@@ -20,4 +20,5 @@
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
+	python generate-rule-docs.py
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sqlfluff (2.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1041428 (CVE-2023-36830)
    Closes: #1056532
  * Add upstream metadata

 -- Andreas Tille <tille@debian.org>  Thu, 22 Feb 2024 08:28:45 +0100

=== debian/control ===
Source: sqlfluff
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Joseph Nahmias <jello@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all:any,
 python3-setuptools,
# diff-cover <!nocheck>,
# python3-appdirs <!nocheck>,
# python3-pathspec <!nocheck>,
# python3-pytest <!nocheck>,
# python3-regex <!nocheck>,
# python3-toml <!nocheck>,
# python3-tqdm <!nocheck>,
# python3-typing-extensions <!nocheck>,
# python3-yaml <!nocheck>,
# tox <!nocheck>,
 dh-sequence-sphinxdoc <!nodoc>,
 python3-pygments (>= 2.13.0~) <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-click <!nodoc>,
 python3-sphinx-reredirects <!nodoc>,
 python3-tblib <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.sqlfluff.com/
Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlfluff
Vcs-Git: https://salsa.debian.org/python-team/packages/sqlfluff.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: SQL linter tool
 SQLFluff is an extensible and modular linter designed to help you write
 good SQL and catch errors and bad SQL before it hits your database.
 .
 SQLFluff has a few components:
 .
   1) A generic parser for SQL which aims to be able to unify SQL written
      in different dialects into a comparable format. Most of the codebase
      for SQLFluff is the parser, mostly because at the point of
      developing SQLFluff, there didn’t appear to be a good option for
      a whitespace-aware parser that could be used instead.
 .
   2) A mechanism for measuring written SQL against a set of rules, with
      the added ability to fix any violations found. The core vision for
      SQLFluff is to be really good at being the linter.
 .
   3) An opinionated set of guidelines for how SQL should be structured
      and formatted. SQLFluff aims to be opinionated but it also accepts
      that many organisations and groups have pre-existing strong
      conventions around how to write SQL and so ultimately SQLFluff
      should be flexible enough to support whichever rule set a user
      wishes to.
 .
   4) A public API for other Python applications to use SQLFluff to
      check and fix SQL code in an automated fashion.

Package: sqlfluff
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: sqlfluff-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the complete SQLFluff tool including the parser,
 lexer, the (configurable) rules, and the Python API.

Package: sqlfluff-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: ${source:Synopsis} - documentation
 ${source:Extended-Description}
 .
 This package installs the SQLFluff documentation.

=== debian/tests/control ===
Tests: upstream
Depends:
 diff-cover,
 python3-all,
 python3-hypothesis,
 python3-pytest,
 sqlfluff,
Restrictions: allow-stderr

## sqlfluff 3.2.5

=== debian/changelog ===
sqlfluff (3.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.2.5
  * Replace python3-appdirs with python3-platformdirs (Closes: #1068011)
  * Add debian/gbp.conf
  * Re-enable build-time tests

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Nov 2024 12:38:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,24 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ diff-cover <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all:any,
+ python3-hypothesis <!nocheck>,
+ python3-pathspec <!nocheck>,
+ python3-platformdirs <!nocheck>,
+ python3-pygments (>= 2.13.0~) <!nodoc>,
+ python3-pytest <!nocheck>,
+ python3-regex <!nocheck>,
  python3-setuptools,
-# diff-cover <!nocheck>,
-# python3-appdirs <!nocheck>,
-# python3-pathspec <!nocheck>,
-# python3-pytest <!nocheck>,
-# python3-regex <!nocheck>,
-# python3-toml <!nocheck>,
-# python3-tqdm <!nocheck>,
-# python3-typing-extensions <!nocheck>,
-# python3-yaml <!nocheck>,
-# tox <!nocheck>,
- dh-sequence-sphinxdoc <!nodoc>,
- python3-pygments (>= 2.13.0~) <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-click <!nodoc>,
  python3-sphinx-reredirects <!nodoc>,
  python3-tblib <!nodoc>,
-Standards-Version: 4.6.2
+ python3-tqdm <!nocheck>,
+ python3-yaml <!nocheck>,
+Standards-Version: 4.7.0
 Homepage: https://www.sqlfluff.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlfluff
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlfluff.git

## sqlfluff 3.3.0

=== debian/changelog ===
sqlfluff (3.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 16 Jan 2025 09:38:04 +0000

sqlfluff (3.2.5-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-colorama (closes: #1091952).

 -- Colin Watson <cjwatson@debian.org>  Fri, 03 Jan 2025 14:11:56 +0000

## sqlfluff 3.3.1

=== docs/requirements.txt ===
# Requirements for building docs
sphinx>=2.4.1
# 2.13.0 added the sql+jinja syntax
pygments>=2.13.0
sphinx-click
sphinx-reredirects
doc8
tqdm

=== debian/changelog ===
sqlfluff (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 16:42:59 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  diff-cover <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all:any,
+ python3-colorama <!nocheck>,
  python3-hypothesis <!nocheck>,
  python3-pathspec <!nocheck>,
  python3-platformdirs <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_DESTDIR=debian/sqlfluff
export PYBUILD_TEST_ARGS=-k 'not appdir \
                         and not test__linter__path_from_paths__specific_bad_ext \
                         and not test__plugin_manager_registers_example_plugin \
                         and not test__plugin_example_rules_returned[Rule_Example_L001 \
                         and not test__plugin_default_config_read[Example_L001-forbidden_columns \
                            '

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=src python3 docs/generate-auto-docs.py
	PYTHONPATH=src python3 -m sphinx -N -bhtml docs/source/ build/html
	PYTHONPATH=src python3 -m sphinx -N -bman docs/source/ build/man

execute_after_dh_auto_install:
	rm -vf debian/*/usr/lib/python*/dist-packages/test.csv

## sqlfluff 3.4.2

=== Makefile ===
.PHONY: help build clean fresh shell start stop

.DEFAULT_GOAL := help

help: ## Show this available targets
	@grep -E '^[/a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'

build: ## Build the development container
	docker-compose build development

clean: ## Clean up all containers and images
	docker system prune -f
	docker-compose stop
	docker rmi `docker images -a -q`

fresh: ## Build the development container from scratch
	docker-compose build --no-cache development

shell: ## Start a bash session in the development container
	docker-compose exec development bash

start: ## Start the development container
	docker-compose up -d

stop: ## Stop the development container
	docker-compose stop

=== docs/Makefile ===
--- 
+++ 
@@ -20,5 +20,5 @@
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
-	python generate-rule-docs.py
+	python generate-auto-docs.py
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sqlfluff (3.4.2-2) unstable; urgency=medium

  * Team upload.
  * Fix profiles of several build-dependencies (closes: #1116916).

 -- Colin Watson <cjwatson@debian.org>  Wed, 01 Oct 2025 14:32:46 +0100

sqlfluff (3.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 08 Sep 2025 17:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,19 @@
  diff-cover <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all:any,
- python3-colorama <!nocheck>,
+ python3-colorama <!nocheck> <!nodoc>,
  python3-hypothesis <!nocheck>,
- python3-pathspec <!nocheck>,
- python3-platformdirs <!nocheck>,
+ python3-pathspec <!nocheck> <!nodoc>,
+ python3-platformdirs <!nocheck> <!nodoc>,
  python3-pygments (>= 2.13.0~) <!nodoc>,
- python3-pytest <!nocheck>,
- python3-regex <!nocheck>,
+ python3-pytest <!nocheck> <!nodoc>,
+ python3-regex <!nocheck> <!nodoc>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-click <!nodoc>,
  python3-sphinx-reredirects <!nodoc>,
  python3-tblib <!nodoc>,
- python3-tqdm <!nocheck>,
+ python3-tqdm <!nocheck> <!nodoc>,
  python3-yaml <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://www.sqlfluff.com/

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-hypothesis,
 python3-pytest,
 sqlfluff,
Restrictions: allow-stderr

=== debian/watch ===
# debian/watch
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sqlfluff-$1.tar.gz%" \
   https://github.com/sqlfluff/sqlfluff/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## sqlfluff 3.5.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,13 @@
-.PHONY: help build clean fresh shell start stop
+.PHONY: help build clean fresh release shell start stop
 
 .DEFAULT_GOAL := help
+
+# Set VERSION from first argument if provided
+VERSION := $(word 2,$(filter-out $(.DEFAULT_GOAL),$(MAKECMDGOALS)))
+
+# Treat flow name as a target (prevents make errors)
+$(VERSION):
+	@:
 
 help: ## Show this available targets
 	@grep -E '^[/a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}'
@@ -16,6 +23,9 @@
 fresh: ## Build the development container from scratch
 	docker-compose build --no-cache development
 
+release: ## Release a new version
+	@python util.py release $(VERSION)
+
 shell: ## Start a bash session in the development container
 	docker-compose exec development bash

=== debian/changelog ===
sqlfluff (3.5.0-2) unstable; urgency=medium

  * Team upload.
  * Patch: Skip MacOS test that fails with platformdirs > 4.6.
  * Bump Standards-Version to 4.7.3, drop Priority: optional.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 23 Feb 2026 15:00:47 -0400

sqlfluff (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Nov 2025 12:17:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sqlfluff
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Joseph Nahmias <jello@debian.org>
 Build-Depends:
@@ -24,12 +23,11 @@
  python3-tblib <!nodoc>,
  python3-tqdm <!nocheck> <!nodoc>,
  python3-yaml <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.sqlfluff.com/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sqlfluff
 Vcs-Git: https://salsa.debian.org/python-team/packages/sqlfluff.git
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Description: SQL linter tool
  SQLFluff is an extensible and modular linter designed to help you write
  good SQL and catch errors and bad SQL before it hits your database.
